Bug 30861

Summary: Poi unable to read excel file with auto filter on
Product: POI Reporter: bart <bart.boogaerts>
Component: POI OverallAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P3    
Version: 2.5-FINAL   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Bug Depends on: 27929    
Bug Blocks:    
Attachments: template file with auto filter on

Description bart 2004-08-26 09:44:39 UTC
We have an application where poi reads in an excel file using version 2.5.1 
final. Everything works fine (except for the known bugs like comments).
When we try to read in the same excel file with auto filter set to true, poi 
throws an unknownRecordFormat exception.
This still worked in the previous version we were testing with (poi v2.0 Final)
Comment 1 Avik Sengupta 2004-08-26 10:00:48 UTC
Could you possibly attach the file?
Comment 2 bart 2004-08-26 10:11:25 UTC
Created attachment 12535 [details]
template file with auto filter on
Comment 3 Glen Stampoultzis 2004-09-19 02:30:24 UTC
This should be fixed with the patch that I applied for 27929.  Checkout of HEAD
and give it a shot.
Comment 4 yusuke kanda 2005-02-18 16:54:49 UTC
Comment on attachment 12535 [details]
template file with auto filter on

1